Saltar al contenido principal
GET
/
v1
/
organizations
/
{organization_id}
/
tenants
Listar tenants
curl --request GET \
  --url https://api.staging.flxwvdexternal.com/v1/organizations/{organization_id}/tenants \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.staging.flxwvdexternal.com/v1/organizations/{organization_id}/tenants"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.staging.flxwvdexternal.com/v1/organizations/{organization_id}/tenants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "has_next": true,
  "data": [
    {
      "id": "<string>",
      "organization_id": "<string>",
      "create_date": "2023-11-07T05:31:56Z",
      "name": "<string>",
      "region": "<string>",
      "product_id": "<string>",
      "policy_id": "<string>"
    }
  ]
}
{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}

Autorizaciones

Authorization
string
header
requerido

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Parámetros de ruta

organization_id
string
requerido

El identificador único de la organización

Maximum string length: 24
Pattern: ^[0-9a-f]{24}$

Parámetros de consulta

page
integer
predeterminado:1

Número de página (predeterminado: 1)

Rango requerido: x >= 1
per_page
integer
predeterminado:100

Número de elementos por página

Rango requerido: 1 <= x <= 100
sort
string

Campo de ordenación con sufijo opcional de orden (:asc o :desc), p. ej., "name", "name:asc", "create_date:desc". Usa orden ascendente de forma predeterminada si no se proporciona sufijo. Campos válidos: id, create_date, name, region, product_id, policy_id

fields
string

Lista separada por comas de campos a incluir en cada elemento de tenant. Campos seleccionables: id, organization_id, create_date, name, region, product_id, policy_id. El campo id siempre se incluye.

Maximum string length: 2048
filters
string

Filtra tenants por uno o más criterios. Proporciona un objeto JSON con condiciones de filtro. Puedes filtrar por cualquier campo devuelto en la respuesta. Usa operadores de comparación (eq, ne, gt, gte, lt, lte, in, nin, contains, startsWith, endsWith, between) y combina varias condiciones con operadores lógicos (and, or). Longitud máxima: 5120 caracteres. Filtra tenants usando un objeto JSON. Especifica el campo a filtrar, el operador de comparación y el valor. Ejemplo: {"field": "name", "op": "eq", "value": "Tenant 1"}

Maximum string length: 5120
Ejemplo:

"{\"field\": \"name\", \"op\": \"eq\", \"value\": \"Tenant 1\"}"

Respuesta

Lista paginada de tenants recuperada correctamente. La respuesta incluye la bandera de paginación y el arreglo de datos de tenants.

has_next
boolean
requerido

Indica si hay mas páginas disponibles

data
object[]
requerido